Un-stop a card
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction |
| profileNumber | String | 1-20 characters | ✓ | Profile number linked with this card |
| cardIdentifier | String | 1-20 characters | ✓ | Card number or Tracking number of the card to link |
| transactionID | String | 1-255 characters | ✓ | Transaction ID number generated by the calling client |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0"?>
<methodCall>
<methodName>CancelStopCard</methodName>
<params>
<param>
<value>
<string>1234567890</string>
</value>
</param>
<param>
<value>
<string>3344556677</string>
</value>
</param>
<param>
<value>
<string>3434343434343434</string>
</value>
</param>
<param>
<value>
<string>3a123af3-2a78-4d1b-87f8-65e123c123f6</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200308T15:54:14</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>80969333E781B1E444AC9DCCC1234AF7AC778A51</string>
</value>
</param>
</params>
</methodCall>
``````text
Response Parameters
| Parameter | type | Description |
|---|---|---|
| terminalID | String | Echo |
| profileNumber | String | Echo |
| cardNumber | String | Number of the card found by using the cardIdentifier |
| clientTransactionID | String | Echo |
| serverTransactionID | String | Transaction ID generated by Paymentology |
| resultCode | Integer | Status code indicating the result of the transaction |
| resultText | String | Text indicating the result of the transaction |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>clientTransactionID</name>
<value>
<string>3a777af3-2a58-4d1b-22f8-65e888c802f6</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>terminalID</name>
<value>
<string>1234567890</string>
</value>
</member>
<member>
<name>profileNumber</name>
<value>
<string>5566778899</string>
</value>
</member>
<member>
<name>cardNumber</name>
<value>
<string>5566778899889988</string>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>OK</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>8916112311-80969238E781B1E637AC9GGHH5566AF7AC888A51</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>